Is the 2.4 beta updateable?